> ## Documentation Index
> Fetch the complete documentation index at: https://new-docs.simplecloud.app/llms.txt
> Use this file to discover all available pages before exploring further.

# Update player properties

> Replace all player properties



## OpenAPI

````yaml https://controller.simplecloud.app/swagger/doc.json put /v0/players/properties
openapi: 3.1.0
info:
  contact:
    email: support@swagger.io
    name: API Support
    url: http://www.swagger.io/support
  description: API for SimpleCloud Controller
  license:
    name: Apache 2.0
    url: http://www.apache.org/licenses/LICENSE-2.0.html
  termsOfService: http://swagger.io/terms/
  title: SimpleCloud Controller API
  version: '1.0'
servers:
  - url: https://controller.platform.simplecloud.app/
security: []
externalDocs:
  description: ''
  url: ''
paths:
  /v0/players/properties:
    put:
      tags:
        - players
      summary: Update player properties
      description: Replace all player properties
      parameters:
        - description: Network ID
          in: header
          name: X-Network-ID
          required: true
          schema:
            type: string
        - description: Network Secret
          in: header
          name: X-Network-Secret
          required: true
          schema:
            type: string
        - description: Player UUID
          in: query
          name: player_id
          required: true
          schema:
            type: string
      requestBody:
        content:
          application/json:
            schema:
              $ref: '#/components/schemas/models.UpdatePlayerPropertiesRequest'
        description: Properties
        required: true
      responses:
        '200':
          content:
            application/json:
              schema:
                $ref: '#/components/schemas/models.UpdatePlayerPropertiesResponse'
          description: OK
        '400':
          content:
            application/json:
              schema:
                $ref: '#/components/schemas/models.ErrorResponse'
          description: Bad Request
        '401':
          content:
            application/json:
              schema:
                $ref: '#/components/schemas/models.ErrorResponse'
          description: Unauthorized
        '404':
          content:
            application/json:
              schema:
                $ref: '#/components/schemas/models.ErrorResponse'
          description: Not Found
components:
  schemas:
    models.UpdatePlayerPropertiesRequest:
      description: Request to update player properties
      properties:
        properties:
          additionalProperties:
            type: string
          type: object
      type: object
    models.UpdatePlayerPropertiesResponse:
      description: Response for updating player properties
      properties:
        message:
          example: Properties updated successfully
          type: string
        player_id:
          example: 069a79f4-44e9-4726-a5be-fca90e38aaf5
          type: string
        properties:
          additionalProperties:
            type: string
          type: object
      type: object
    models.ErrorResponse:
      description: Generic error response
      properties:
        error:
          type: string
      type: object

````